Bug 688043 - avc: denied { read } for pid=779 comm="systemd-tmpfile"
Summary: avc: denied { read } for pid=779 comm="systemd-tmpfile"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-16 06:17 UTC by Dagan McGregor
Modified: 2011-03-19 05:54 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.9.16-5.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-19 05:54:29 UTC


Attachments (Terms of Use)

Description Dagan McGregor 2011-03-16 06:17:06 UTC
Description of problem:
avc denied error message after booting F14 Alpha. This causes an extremely long boot time to get to the GDM login screen

Version-Release number of selected component (if applicable):
F15 Alpha (installed)

libselinux-2.0.98-2.fc15.x86_64
selinux-policy-3.9.16-1.fc15.noarch
libselinux-utils-2.0.98-2.fc15.x86_64
libselinux-python-2.0.98-2.fc15.x86_64
selinux-policy-targeted-3.9.16-1.fc15.noarch


How reproducible:
Always

Steps to Reproduce:
1. Boot F15 Alpha
2. Check dmesg log
3.
  
Actual results:
avc denied message

Expected results:
No avc denied messages

Additional info:

[    9.330512] EXT4-fs (sda2): mounted filesystem with ordered data mode. Opts: (null)
[    9.335197] SELinux: initialized (dev sda2, type ext4), uses xattr
[    9.423957] type=1400 audit(1300253298.290:5): avc:  denied  { write } for  pid=439 comm="systemd-readahe" path="/etc/modprobe.d" dev=dm-1 ino=3932166 scontext=system_u:system_r:readahead_t:s0 tcontext=system_u:object_r:modules_conf_t:s0 tclass=dir
[    9.956625] systemd-fsck[748]: /dev/mapper/vg_volume-VarVol: clean, 3067/57049088 files, 3731427/228173824 blocks
[   10.127474] EXT4-fs (dm-2): mounted filesystem with ordered data mode. Opts: (null)
[   10.127481] SELinux: initialized (dev dm-2, type ext4), uses xattr
[   10.204040] SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
[   10.224718] SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
[   10.455455] type=1400 audit(1300253299.322:6): avc:  denied  { write } for  pid=439 comm="systemd-readahe" path="/etc/tmpfiles.d" dev=dm-1 ino=3932287 scontext=system_u:system_r:readahead_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=dir
[   10.456427] type=1400 audit(1300253299.323:7): avc:  denied  { read } for  pid=779 comm="systemd-tmpfile" name="rpm" dev=dm-2 ino=3670018 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:rpm_var_lib_t:s0 tclass=dir
[  187.162889] systemd[1]: Job dev-mapper-vg_volume\x2dSwapVol.device/start timed out.

Comment 1 Miroslav Grepl 2011-03-16 08:55:59 UTC
Fixed in the latest selinux-policy - selinux-policy-3.9.16-4.fc15  which is available from koji for now

http://koji.fedoraproject.org/koji/buildinfo?buildID=233962

Comment 2 Fedora Update System 2011-03-17 15:29:20 UTC
selinux-policy-3.9.16-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-5.fc15

Comment 3 Fedora Update System 2011-03-19 05:53:31 UTC
selinux-policy-3.9.16-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.